## unity-scopes-api 1.0.7+16.10.20160921-0ubuntu2

=== debian/changelog ===
unity-scopes-api (1.0.7+16.10.20160921-0ubuntu2) yakkety; urgency=medium
 
  * No-change rebuild against new zmqpp.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 23 Sep 2016 11:45:21 +0200

unity-scopes-api (1.0.7+16.10.20160921-0ubuntu1) yakkety; urgency=medium

  [ Marcus Tomlinson ]
  * Fixed potential login deadlock in OnlineAccountClient.
  * Increased upper timeout limits to 60s to assist scope-harness testing on slow builders.

  [ Michi Henning ]
  * Fixes for building with Florian Boucault's crossbuilder.
  * Fix for bug #1548718: Need to update micro version in shlibs file when symbols are added

  [ Pawel Stolowski ]
  * Marked the push(Filters const&, FilterState const&) method of SearchReply
    and SearchListenerBase as deprecated and provided push methods which take
    the Filters argument only.
  * Fixed Yakkety build by adding missing #includes
  * Fixed arm64 build by temporarily disabling SmartScopesClient_test

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Wed, 21 Sep 2016 03:51:31 +0000

unity-scopes-api (1.0.6+16.10.20160617-0ubuntu1) yakkety; urgency=medium

  [ Marcus Tomlinson ]
  * Got rid of category header background, as per design (Bug #1446216).
  * Re-enabled license/copyright test for xenial+.
  * Removed libjson-cpp and replaced with json-glib based implementation (Bug #1360247).
  * Fixed Yakkety build.

 -- Pawel Stolowski <pawel.stolowski@canonical.com>  Fri, 17 Jun 2016 07:27:25 +0000

unity-scopes-api (1.0.6+16.10.20160520.3-0ubuntu1) yakkety; urgency=medium

  [ CI Train Bot ]
  * No-change rebuild.

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Fri, 20 May 2016 14:55:39 +0000

unity-scopes-api (1.0.5+16.04.20160413.1-0ubuntu2) yakkety; urgency=medium

  * No-change rebuild of latest xenial trunk against current archive.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 19 May 2016 19:19:30 +0200

unity-scopes-api (1.0.5+16.04.20160413.1-0ubuntu1) xenial; urgency=medium

  [ Marcus Tomlinson ]
  * Fix version number in changelog.

  [ CI Train Bot ]
  * No-change rebuild.

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Wed, 13 Apr 2016 09:51:48 +0000

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to control.in instead.
# This file is regenerated automatically by bileto.
#
Source: unity-scopes-api
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: abigail-tools <!nocheck> | libabigail-tools <!nocheck>,
               binutils:native,
               capnproto,
               click-dev (>= 0.2.2),
               cmake,
               dbus-test-runner,
               debhelper (>= 9),
               devscripts,
               doxygen,
               exuberant-ctags,
               google-mock,
               graphviz,
               libaccounts-glib-dev,
               libapparmor-dev,
               libboost-filesystem-dev,
               libboost-regex-dev,
               libboost-serialization-dev,
               libboost-thread-dev,
               libcapnp-dev (>= 0.4.0),
               libdbustest1-dev,
               libjson-glib-dev,
               liblttng-ust-dev,
               libnet-cpp-dev (>= 1.2.0),
               libprocess-cpp-dev (>= 1.0.1),
               libsignon-glib-dev,
               libunity-api-dev (>= 7.80.7~),
               libzmq3-dev,
               libzmqpp-dev,
               lsb-release,
               lttng-tools,
               pkg-config,
               python3 <!nocheck>,
               python3-dbusmock <!nocheck>,
               python-tornado <!nocheck>,
               valgrind,
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Section: libs
Homepage: https://launchpad.net/unity-scopes-api
# if you don't have have commit access to this branch but would like to upload
# directly to Ubuntu, don't worry: your changes will be merged back into the
# upstream branch
Vcs-Bzr: lp:unity-scopes-api
Vcs-Browser: https://code.launchpad.net/unity-scopes-api

Package: libunity-scopes1.0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Replaces: libunity-scopes0,
          libunity-scopes3,
          libunity-scopes1,
          libunity-scopes2,
Conflicts: libunity-scopes0,
           libunity-scopes3,
           libunity-scopes1,
           libunity-scopes2,
Description: API for Unity scopes integration
 Library to integrate scopes with the Unity shell

Package: libunity-scopes-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libproperties-cpp-dev,
         libunity-api-dev,
         libunity-scopes1.0 (= ${binary:Version}),
         ${misc:Depends},
Description: Header files for Unity scopes API
 Library to integrate scopes with the Unity shell (dev files)

Package: libunity-scopes-cli
Section: devel
Architecture: any
Multi-Arch: foreign
Depends: libunity-scopes1.0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Client utility for Unity scopes API
 Commandline client utility for querying Unity scopes, useful for testing.

Package: libunity-scopes-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Documentation for Unity scopes API
 Library to integrate scopes with the Unity shell (documentation)

Package: libunity-scopes-qt0.2
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Qt library for Unity scopes API
 Library that integrates classes based on Qt for convenience

Package: libunity-scopes-qt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libunity-scopes-dev (= ${binary:Version}),
         libunity-scopes-qt0.2 (= ${binary:Version}),
         libnet-cpp-dev (>=1.2.0),
         ${misc:Depends},
Description: Header files for Qt library for Unity scopes API
 Library that integrates classes based on Qt for convenience (dev files)

Package: libunity-scopes-qt-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Documentation for Unity Qt library
 Library that integrates classes based on Qt for convenience (documentation)

## unity-scopes-api 1.0.8+17.04.20170116-0ubuntu1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.10)

# Default install location. Must be set here, before setting the project.
if (NOT DEFINED CMAKE_INSTALL_PREFIX)
    set(CMAKE_INSTALL_PREFIX ${CMAKE_BINARY_DIR}/install CACHE PATH "" FORCE)
endif()

set(PROJECT unity-scopes-api)
project(${PROJECT} C CXX)

if(${PROJECT_BINARY_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
   message(FATAL_ERROR "In-tree build attempt detected, aborting. Set your build dir outside your source dir, delete CMakeCache.txt from source root and try again.")
endif()

include(CheckCXXSourceCompiles)
CHECK_CXX_SOURCE_COMPILES("#ifdef __clang__\n#else\n#error \"Not clang.\"\n#endif\nint main(int argc, char **argv) { return 0; }" IS_CLANG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

if(IS_CLANG)
  message(STATUS "Compiling with Clang, disabling lttng.")
endif()

string(TOLOWER "${CMAKE_BUILD_TYPE}" cmake_build_type_lower) # Build types should always be lowercase but sometimes they are not.

set(ACCEPTED_BUILD_TYPES "" none release debug relwithdebinfo coverage)
list(FIND ACCEPTED_BUILD_TYPES "${cmake_build_type_lower}" IS_BUILD_TYPE_ACCEPTED)
if(${IS_BUILD_TYPE_ACCEPTED} EQUAL -1)
  message(FATAL_ERROR "Invalid CMAKE_BUILD_TYPE: ${CMAKE_BUILD_TYPE}\nValid types are: ${ACCEPTED_BUILD_TYPES}")
endif()

# Static C++ checks

find_program(CPPCHECK_COMMAND NAMES cppcheck)
if (CPPCHECK_COMMAND)
    set(CPPCHECK_COMMAND_OPTIONS --check-config --inline-suppr --enable=all -q --error-exitcode=2)
    set(CPPCHECK_COMMAND_OPTIONS ${CPPCHECK_COMMAND_OPTIONS} --template "'{file}({line}): {severity} ({id}): {message}'")
    add_custom_target(cppcheck COMMAND ${CPPCHECK_COMMAND} ${CPPCHECK_COMMAND_OPTIONS}
        ${CMAKE_SOURCE_DIR}/src
        ${CMAKE_SOURCE_DIR}/test
        ${CMAKE_BINARY_DIR}/test
    )
else()
    message(WARNING "Cannot find cppcheck: cppcheck target will not be available")
endif()

#
# Definitions for testing with valgrind.
#

configure_file(CTestCustom.cmake.in CTestCustom.cmake) # Tests in CTestCustom.cmake are skipped for valgrind

find_program(MEMORYCHECK_COMMAND NAMES valgrind)
if (MEMORYCHECK_COMMAND)
    set(MEMORYCHECK_COMMAND_OPTIONS
        "--suppressions=${CMAKE_SOURCE_DIR}/valgrind-suppress --leak-check=full --num-callers=40 --error-exitcode=3"
    )
    add_custom_target(valgrind DEPENDS NightlyMemCheck)
else()
    message(WARNING "Cannot find valgrind: valgrind target will not be available")
endif()

include(FindPkgConfig)
find_package(Boost COMPONENTS system filesystem regex serialization thread REQUIRED)
pkg_check_modules(UNITY_API libunity-api>=0.1.3 REQUIRED)
pkg_check_modules(PROCESS_CPP process-cpp>=1.0.1 REQUIRED)
pkg_check_modules(APPARMOR REQUIRED libapparmor REQUIRED)
pkg_check_modules(LTTNG_UST lttng-ust REQUIRED)
pkg_check_modules(LIBURCU_BP liburcu-bp REQUIRED)
pkg_check_modules(LIBACCOUNTS libaccounts-glib REQUIRED)
pkg_check_modules(LIBSIGNON libsignon-glib REQUIRED)
pkg_check_modules(ZMQLIB libzmq REQUIRED)
pkg_check_modules(NET_CPP net-cpp>=1.2.0 REQUIRED)
pkg_check_modules(JSON_GLIB json-glib-1.0 REQUIRED)

find_library(ZMQPPLIB zmqpp)
if(NOT ZMQPPLIB)
  message(FATAL_ERROR "libzmqpp-dev not found.")
endif()

find_library(CAPNPLIB capnp)
if(NOT CAPNPLIB)
  message(FATAL_ERROR "libcapnp-dev not found.")
endif()

find_library(KJLIB kj)
if(NOT KJLIB)
  message(FATAL_ERROR "capnproto not found.")
endif()

find_library(DLLIB dl)
if(NOT DLLIB)
  message(FATAL_ERROR "dl lib not found.")
endif()

find_program(LTTNG_EXECUTABLE lttng)
if (NOT LTTNG_EXECUTABLE)
    message(SEND_ERROR "Cannot find LTTng executable: ensure that lttng-tools is installed")
endif()

#
# Code style fixer. We put the code through astyle first because it makes some fixes that
# clang-format won't do (such as "char *p" -> "char* p"). But astyle messes up other things
# (particularly lambdas and assembly-style comments), which clang-format does right.
# So, we run clang-format after running astyle, which undoes the damage done by astyle
# without reverting desirable astyle fixes.
#

find_program(ASTYLE_COMMAND NAMES astyle)
if (NOT ASTYLE_COMMAND)
    message(WARNING "Cannot find astyle: formatcode target will not be available")
else()
    # astyle 2.03 creates DOS line endings, so we need to fix its output
    find_program(DOS2UNIX_COMMAND NAMES dos2unix)
    if (NOT DOS2UNIX_COMMAND)
        message(WARNING "Cannot find dos2unix: formatcode target will not be available")
    else()
        # Some time after clang-format-3.6, someone finally decided to install the versioned
        # /usr/bin/clang-format binary name as /usr/bin/clang-format (without the version suffix).
        find_program(CLANG_FORMAT_COMMAND NAMES clang-format clang-format-3.6 clang-format-3.5)
        if (NOT CLANG_FORMAT_COMMAND)
            message(WARNING "Cannot find clang-format >= clang-format-3.5: formatcode target will not be available")
        endif()
    endif()
endif()

if (ASTYLE_COMMAND AND DOS2UNIX_COMMAND AND CLANG_FORMAT_COMMAND)
set(UNITY_SCOPES_LIB_HDRS ${UNITY_SCOPES_LIB_HDRS} ${fmt_h})
    add_custom_target(formatcode
                      ${PROJECT_SOURCE_DIR}/tools/format-files.sh ${PROJECT_SOURCE_DIR} ${ASTYLE_COMMAND} ${CLANG_FORMAT_COMMAND})
endif()

find_program(CAPNPC_BIN capnpc)
if(NOT CAPNPC_BIN)
  message(FATAL_ERROR "Capnp compiler not found.")
endif()
set(CAPNPC_FLAGS "" CACHE STRING "Extra flags for capnpc.")

add_definitions(
  -DDEB_HOST_MULTIARCH="${CMAKE_LIBRARY_ARCHITECTURE}"
)

set(OTHER_INCLUDE_DIRS ${OTHER_INCLUDE_DIRS} ${UNITY_API_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS}
                       ${JSON_GLIB_INCLUDE_DIRS} ${PROCESS_CPP_INCLUDE_DIRS} ${APPARMOR_INCLUDE_DIRS}
                       ${LIBACCOUNTS_INCLUDE_DIRS} ${LIBSIGNON_INCLUDE_DIRS} ${NET_CPP_INCLUDE_DIRS})
set(OTHER_LIBS ${OTHER_LIBS} ${UNITY_API_LDFLAGS} ${APPARMOR_LDFLAGS} ${LIBACCOUNTS_LIBRARIES}
               ${LIBSIGNON_LIBRARIES} ${Boost_LIBRARIES} ${JSON_GLIB_LDFLAGS} ${PROCESS_CPP_LDFLAGS}
               ${ZMQPPLIB} ${ZMQLIB_LDFLAGS} ${CAPNPLIB} ${KJLIB} ${DLLIB} ${NET_CPP_LDFLAGS} pthread)

# Standard install paths
include(GNUInstallDirs)

include_directories(
    include/
    ${CMAKE_BINARY_DIR}/include
    ${CMAKE_BINARY_DIR}/src
    ${OTHER_INCLUDE_DIRS}
)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -pedantic -Wno-variadic-macros -Wextra -fPIC")

# By default, all symbols are visible in the library. We strip out things we don't
# want at link time, by running a version script (see unity-scopes.map and the
# setting of LINK_FLAGS below).
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=default")

set(C_AND_CXX_WARNINGS "-pedantic -Wall -Wextra")

# Some additional warnings not included by the general flags set above.
set(EXTRA_C_WARNINGS "-Wcast-align -Wcast-qual -Wformat -Wredundant-decls -Wswitch-default")
set(EXTRA_CXX_WARNINGS "-Wnon-virtual-dtor -Wctor-dtor-privacy -Wold-style-cast")

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${C_AND_CXX_WARNINGS}")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${EXTRA_C_WARNINGS}")

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 ${C_AND_CXX_WARNINGS}")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${EXTRA_C_WARNINGS}")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${EXTRA_CXX_WARNINGS}")

# -fno-permissive causes warnings with clang, so we only enable it for gcc
if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-permissive")
endif()

if ("${cmake_build_type_lower}" STREQUAL "release" OR "${cmake_build_type_lower}" STREQUAL "relwithdebinfo")
    option(Werror "Treat warnings as errors" ON)
else()
    option(Werror "Treat warnings as errors" OFF)
endif()

# Some tests are slow, so make it possible not to run them during day-to-day development.
# The default for this *must* stay ON, otherwise the tests won't run in Jenkins.
option(slowtests "Run slow tests" ON)

if (${Werror})
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
    if ("${cmake_build_type_lower}" STREQUAL "release" OR "${cmake_build_type_lower}" STREQUAL "relwithdebinfo")
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-error=deprecated-declarations")
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-error=deprecated-declarations")
    endif()
endif()

set(SANITIZER "" CACHE STRING "Build with -fsanitize=<value> (legal values: thread, address)")

if ("${SANITIZER}" STREQUAL "")
    # Do nothing
elseif (${SANITIZER} STREQUAL "thread")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=thread -fno-omit-frame-pointer")
elseif (${SANITIZER} STREQUAL "address")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address -fno-omit-frame-pointer")
else()
    message(FATAL_ERROR "Invalid SANITIZER setting: ${SANITIZER}")
endif()

# Scopes library names. Also used as a prefix in various places, and as a subdirectory
# name for installed files. Changing this will also require corresponding changes
# to the debian files.
set(UNITY_SCOPES_LIB unity-scopes)
set(UNITY_SCOPES_QT_LIB unity-scopes-qt)

set(DEBIAN_DIR ${CMAKE_SOURCE_DIR}/debian)

# Set versions for libunity-scopes.
file(READ ${DEBIAN_DIR}/VERSION version)
string(REGEX MATCHALL "[0-9]+" version_list ${version})
list(GET version_list 0 UNITY_SCOPES_MAJOR)
list(GET version_list 1 UNITY_SCOPES_MINOR)
list(GET version_list 2 UNITY_SCOPES_MICRO)

set(UNITY_SCOPES_MAJOR_MINOR ${UNITY_SCOPES_MAJOR}.${UNITY_SCOPES_MINOR})
set(UNITY_SCOPES_FULL_VERSION ${UNITY_SCOPES_MAJOR_MINOR}.${UNITY_SCOPES_MICRO})

execute_process(COMMAND lsb_release -c -s OUTPUT_VARIABLE SERIES)
string(STRIP ${SERIES} SERIES)
if (${SERIES} STREQUAL "vivid")
    # For backward compatibility. On Vivid, the soname started counting at 3: libunity-scopes.so.3.
    math(EXPR UNITY_SCOPES_SOVERSION "${UNITY_SCOPES_MINOR} + 3")
else()
    # For Wily and later, the soname is libunity-scopes.so.<maj>.<min>, e.g. libunity-scopes.so.1.0.
    set(UNITY_SCOPES_SOVERSION ${UNITY_SCOPES_MAJOR_MINOR})
endif()

# Set versions for libunity-scopes-qt.
file(READ ${DEBIAN_DIR}/QT-VERSION version)
string(REGEX MATCHALL "[0-9]+" version_list ${version})
list(GET version_list 0 UNITY_SCOPES_QT_MAJOR)
list(GET version_list 1 UNITY_SCOPES_QT_MINOR)
list(GET version_list 2 UNITY_SCOPES_QT_MICRO)

set(UNITY_SCOPES_QT_MAJOR_MINOR ${UNITY_SCOPES_QT_MAJOR}.${UNITY_SCOPES_QT_MINOR})
set(UNITY_SCOPES_QT_FULL_VERSION ${UNITY_SCOPES_QT_MAJOR_MINOR}.${UNITY_SCOPES_QT_MICRO})
set(UNITY_SCOPES_QT_SOVERSION ${UNITY_SCOPES_QT_MAJOR_MINOR})

if(NOT ${UNITY_SCOPES_MAJOR} EQUAL 1)
    message(FATAL_ERROR "Change in major version number. You need to adjust bileto_pre_release_hook")
endif()

if(NOT ${UNITY_SCOPES_QT_MAJOR} EQUAL 0)
    message(FATAL_ERROR "Change in Qt major version number. You need to adjust bileto_pre_release_hook")
endif()

# Library for testing, with all symbols visible
set(UNITY_SCOPES_TEST_LIB ${UNITY_SCOPES_LIB}-test)

# All the libraries we need to link a normal executable that uses Unity scopes
set(LIBS ${UNITY_SCOPES_LIB})

# Test version of ${UNITY_SCOPES_LIB}, with internal symbols visible
set(TESTLIBS ${UNITY_SCOPES_TEST_LIB})

# Library install prefix
set(LIB_INSTALL_PREFIX lib/${CMAKE_LIBRARY_ARCHITECTURE})
set(LIBDIR ${CMAKE_INSTALL_LIBDIR})

set(LIBSUBDIR ${LIBDIR}/${UNITY_SCOPES_LIB}})
set(HDR_INSTALL_DIR include/${UNITY_SCOPES_LIB}-${UNITY_SCOPES_SOVERSION})

#####################################################################
# Enable code coverage calculation with gcov/gcovr/lcov
# Usage:
#  * Switch build type to coverage (use ccmake or cmake-gui)
#  * Invoke make, make test, make coverage (or ninja if you use that backend)
#  * Find html report in subdir coveragereport
#  * Find xml report suitable for jenkins in coverage.xml
#####################################################################
if(cmake_build_type_lower MATCHES coverage)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --coverage -g")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} --coverage -g")

=== test/gtest/CMakeLists.txt ===
find_package(GMock)

set(LIBGTEST gtest gmock gmock_main)
set(TESTLIBS ${TESTLIBS} ${LIBGTEST} boost_regex)

add_subdirectory(scopes)

set(TEST_SRC
)

foreach(src ${TEST_SRC})
    get_filename_component(name ${src} NAME_WE)
    add_executable(${name} ${src})
    target_link_libraries(${name} ${TESTLIBS})
    string(REPLACE "_test" "" test_name ${name})
    add_test(${test_name} ${name})
endforeach(src)

=== test/gtest/scopes/internal/CMakeLists.txt ===
add_subdirectory(CategoryRegistry)
add_subdirectory(ConfigBase)
add_subdirectory(DynamicLoader)
add_subdirectory(gobj_ptr)
add_subdirectory(IniSettingsSchema)
add_subdirectory(JsonNode)
add_subdirectory(JsonSettingsSchema)
add_subdirectory(Logger)
add_subdirectory(lttng)
add_subdirectory(MiddlewareFactory)
add_subdirectory(Reaper)
add_subdirectory(RegistryConfig)
add_subdirectory(RegistryObject)
add_subdirectory(ResultReplyObject)
add_subdirectory(RuntimeConfig)
add_subdirectory(RuntimeImpl)
add_subdirectory(safe_strerror)
add_subdirectory(ScopeConfig)
add_subdirectory(ScopeLoader)
add_subdirectory(ScopeMetadataImpl)
add_subdirectory(SettingsDB)
add_subdirectory(smartscopes)
add_subdirectory(ThreadPool)
add_subdirectory(ThreadSafeQueue)
add_subdirectory(UniqueID)
add_subdirectory(Utils)
add_subdirectory(zmq_middleware)

=== test/gtest/scopes/internal/gobj_ptr/CMakeLists.txt ===
add_executable(gobj_ptr_test gobj_ptr_test.cpp)
target_link_libraries(gobj_ptr_test ${TESTLIBS})
add_test(gobj_ptr gobj_ptr_test)

=== test/gtest/scopes/internal/smartscopes/CMakeLists.txt ===
add_subdirectory(HttpClient)
if (NOT ${CMAKE_LIBRARY_ARCHITECTURE} MATCHES "aarch64")
    add_subdirectory(SmartScopesClient)
else()
    message("Skipping SmartScopesClient test on aarch64 - see LP #1615004")
endif()
add_subdirectory(smartscopesproxy)
add_subdirectory(SSConfig)

=== debian/changelog ===
unity-scopes-api (1.0.8+17.04.20170116-0ubuntu1) zesty; urgency=medium

  * Create $HOME/.local/share/applications if it does not exist. lp:1645798
  * Fixed lots of compiler warnings.
  * Changed cmake files to work with new gtest.

 -- Michi Henning <michi@triodia.com>  Mon, 16 Jan 2017 02:42:13 +0000

unity-scopes-api (1.0.7+17.04.20161115-0ubuntu1) zesty; urgency=medium

  * Be stricter on user-configurable idle timeout (1s to 5min).

 -- Marcus Tomlinson <marcus.tomlinson@canonical.com>  Tue, 15 Nov 2016 06:09:04 +0000

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                capnproto,
                click-dev (>= 0.2.2),
                cmake,
+               cmake-extras (>= 0.4),
                dbus-test-runner,
                debhelper (>= 9),
                devscripts,
@@ -18,6 +19,7 @@
                exuberant-ctags,
                google-mock,
                graphviz,
+               language-pack-tr,
                libaccounts-glib-dev,
                libapparmor-dev,
                libboost-filesystem-dev,
